From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 15 August 2013<P>

I do like the Loveblender! August page is another success... Enjoyed all the picks... You all are very talented... Keep up the good work! <BR>
<BR>
Kirk, I so appreciate everything you do...
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 15 August 2013<P>

I'm back from Alaska! Hi!
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 15 August 2013<P>

Welcome back Kirky!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 15 August 2013<P>

Kirk...Wow...Alaska.. did you do a cruise or just a land tour. I bet it was wonderful. Let us know when you get the pictures posted. We want to see too!<BR>
<BR>
bk
<HR>